package jcg.zheng.demo;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

public class AddNewLineToFile {

    public static void main(String[] args) {
        try (FileWriter writer = new FileWriter("demoNewLine.txt");
                BufferedWriter bw = new BufferedWriter(writer)) {
            bw.write(DataUtil.DEMO_LINE);
            bw.newLine();

            bw.write(DataUtil.STRING_WITH_NEWLINE_VIA_ESCAPE_CODE);

            bw.write(DataUtil.STRING_WITH_NEWLINE_VIA_LINE_SEPARATOR_PROPERTY);

            bw.write(DataUtil.DEMO_LINE + "followed by an empty line."
                    + System.lineSeparator().repeat(2));

            bw.write(DataUtil.STRING_WITH_NEWLINE_VIA_LINESEPARATOR_METHOD);

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
